/*
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.jambalaya.ProtegeDataBean;

import edu.stanford.smi.protege.event.ClsAdapter;
import edu.stanford.smi.protege.event.ClsEvent;

/**
 * @author Neil Ernst
 *
 * Listens for the event that occurs when a class is moved in the tree
 * and updates the metrics accordingly.
 */
public class MetricsListener extends ClsAdapter {

	/* (non-Javadoc)
	 * @see edu.stanford.smi.protege.event.ClsListener#directSuperclassAdded(edu.stanford.smi.protege.event.ClsEvent)
	 */
	public void directSuperclassAdded(ClsEvent arg0) {
		//System.out.println("Class moved, new parent: " + arg0.getCls().getName());
	}
	
	/* (non-Javadoc)
	 * @see edu.stanford.smi.protege.event.ClsListener#directSuperclassRemoved(edu.stanford.smi.protege.event.ClsEvent)
	 */
	public void directSuperclassRemoved(ClsEvent arg0) { //getCls()
		//System.out.println("Class moved, old parent: " + arg0.getSuperclass().getName());
	}
}
